Subject: [PATCH v3 bpf-next 0/3] introduce xdp frags support to veth driver

From: Lorenzo Bianconi <[email-masked]>
Date: Tue, 22 Feb 2022 20:43:36 +0100

Introduce xdp frags support to veth driver in order to allow increasing the mtu
over the page boundary if the attached xdp program declares to support xdp
fragments. Enable NETIF_F_ALL_TSO when the device is running in xdp mode.
This series has been tested running xdp_router_ipv4 sample available in the
kernel tree redirecting tcp traffic from veth pair into the mvneta driver.

Changes since v2:
- move rcu_access_pointer() check in veth_skb_is_eligible_for_gro

Changes since v1:
- always consider skb paged are non-writable
- fix tpt issue with sctp
- always use napi if we are running in xdp mode in veth_xmit

Lorenzo Bianconi (3):
  net: veth: account total xdp_frame len running ndo_xdp_xmit
  veth: rework veth_xdp_rcv_skb in order to accept non-linear skb
  veth: allow jumbo frames in xdp mode

 drivers/net/veth.c | 212 +++++++++++++++++++++++++++++----------------
 include/net/xdp.h  |  14 +++
 net/core/xdp.c     |   1 +
 3 files changed, 151 insertions(+), 76 deletions(-)

-- 
2.35.1